This API endpoint allows you to fetch the unique identifiers (product_ids) of all products stored in the app. To get a list of product_ids, make a GET request to the following URL:
GET /v1/products/_ids
The API will return an array of product_ids in a JSON object. The status_code will be 200
if the request is successful. If any error occurs during the request, the status_code will
not be 200 and the message field will indicate the error.
{
"message": "success",
"data": {
"ids": [
"product_1",
"product_2",
"product_3",
// ... more product_ids
]
}
}
If the dataset cannot be found, the API will return a 404 error:
{
"status_code": 404,
"message": "not found"
}
If another error occurs during the request, the API will return a 500 error
{
"message": "Something went wrong. Please contact miso product team."
}
Documentation Index
Fetch the complete documentation index at: https://docs.miso.ai/llms.txt
Use this file to discover all available pages before exploring further.
Your secret API key is used to access every Miso API endpoint. You should secure this key and only use it on a backend server. Never leave this key in your client-side JavaScript code. If the private key is compromised, you can revoke it in Dojo and get a new one.
Specify your secret key in the api_key query parameter. For example:
POST /v1/users?api_key=039c501ac8dfcac91c6f05601cee876e1cc07e17